<?php
	if ( !empty( $_SERVER[ 'SCRIPT_FILENAME' ] ) && 'comments.php' == basename( $_SERVER[ 'SCRIPT_FILENAME' ] ) )
		die( 'Please do not load this page directly. Thanks!' );
	if ( post_password_required() ) {
		echo '<p class="nocomments">This post is password protected. Enter the password to view comments.</p>';
		return;
	} if ( have_comments() ) : ?>

<div class="navi align-center"><?php paginate_comments_links(); ?></div>
<ol id="comments" class="commentlist"><?php wp_list_comments(); ?></ol>
<div class="navi align-center"><?php paginate_comments_links(); ?></div>

<?php endif; if ('open' == $post->comment_status) : ?>
<div id="respond">
	<h3><?php comment_form_title(); ?></h3>
	
	<?php if ( get_option('comment_registration') && !$user_ID ) : ?>
	
	<p>You must be <a href="<?php echo get_option('siteurl'); ?>/wp-login.php?redirect_to=<?php echo urlencode(get_permalink()); ?>">logged in</a> to post a comment.</p>
	
	<?php else : ?>
	
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
		<p><textarea name="comment" id="comment" cols="40" rows="10"></textarea></p>
	<?php if ( $user_ID ) : ?>
		
		<p>Logged in as <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="Log out of this account">Log out &raquo;</a></p>
		
	<?php else : ?>
		
		<p><input type="text" name="author" id="author" value="<?php echo $comment_author; ?>" size="22" <?php if ($req) echo "aria-required='true'"; ?> /> &emsp; <label for="author">Name <?php if ($req) echo "(required)"; ?></label></p>
		<p><input type="text" name="email" id="email" value="<?php echo $comment_author_email; ?>" size="22" <?php if ($req) echo "aria-required='true'"; ?> /> &emsp; <label for="email">Mail (will not be published) <?php if ($req) echo "(required)"; ?></label></p>
		<p><input type="text" name="url" id="url" value="<?php echo $comment_author_url; ?>" size="22" /> &emsp; <label for="url">Website</label></p>
		
	<?php endif; ?>
		<p class="align-right"><span class="cancel-comment-reply"><?php cancel_comment_reply_link(); ?></span> &emsp; Some <abbr title="<?php echo allowed_tags(); ?>">XHTML</abbr> allowed. &emsp; <input name="submit" type="submit" id="submit" value="Comment" /><?php comment_id_fields(); ?></p>
		<?php do_action('comment_form', $post->ID); ?>
	</form>
	
	<?php endif; // If registration required and not logged in ?>
</div>
<?php endif; // if you delete this the sky will fall on your head ?>