<?php get_header(); ?>

	<div class="content alignleft">
	
	<h1 class="hide"><?php bloginfo( 'name' ); ?></h1>
	
	<?php while ( have_posts() ) : the_post(); ?>

		<div id="post-<?php the_ID(); ?>" <?php post_class( 'group' ); ?>>
			<div class="sidebar alignleft">
				<div class="date"><a href="<?php the_permalink() ?>" rel="bookmark" title="Posted on <?php the_time( get_option( 'date_format' ) ); ?> at <?php the_time(); ?>"><strong><?php the_time( 'd' ); ?></strong><?php the_time( 'M' ); ?></a></div>
				<div class="comments"><?php comments_popup_link( '0', '1', '%', '', '<a href="#" title="Comments Disabled">Off</a>' ); ?></div>
				<?php edit_post_link( 'Edit', '<div class="edit">', '</div>' ); ?>
			</div>
			<div class="content alignright">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<div class="entry"><div class="interior"><?php the_content(); ?></div></div>
				<div class="meta"><div class="interior">Posted by <?php the_author(); ?> in <?php the_category( ', ' ); the_tags( ' and tagged with ', ', ' ); ?></div></div>
			</div>
		</div>

	<?php endwhile; ?>
	
		<div class="navi">
			<div class="alignright"><?php next_posts_link(); ?></div>
			<div class="alignleft"><?php previous_posts_link(); ?></div>
		</div>
	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
